OVH Community, votre nouvel espace communautaire.

How To installer ImageMagick sur Gentoo


Pr@eto
28/07/2010, 12h08
J'ai réinstallé une release 2 toute vierge, pour être sûr de ne pas avoir de mauvais trucs. Je m'en vais chercher de l'aide sur les autres topics alors.

Désolé d'avoir pollué ce topic.

code_grabber
28/07/2010, 10h24
un recherche sur le forum te donnera les réponses a tes questions

Pr@eto
27/07/2010, 17h09
Bonjour,

Merci pour ce petit tutorial, mais ça ne fonctionne apparemment pas chez moi.

Voici le message d'erreur :

/usr/local/bin/convert: error while loading shared libraries: libMagickCore.so.4: cannot open shared object file: No such file or directory
J'ai bien-sûr aussi essayé "emerge imagemagick" et voici le résultat :

!!! All ebuilds that could satisfy "imagemagick" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-gfx/imagemagick-6.6.1.2 (masked by: required EAPI 3, supported EAPI 1)
- media-gfx/imagemagick-6.6.2.5 (masked by: required EAPI 3, supported EAPI 1)
- media-gfx/imagemagick-6.6.3.0 (masked by: required EAPI 3, supported EAPI 1)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
D'ailleurs, j'avais même tout d'abord essayé de suivre le guide ovh : http://guides.ovh.com/Release2OptionsPhp

Et il restait bloqué sur
Calculating dependencies /
!!! All ebuilds that could satisfy ">=media-gfx/imagemagick-6.2.6.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-gfx/imagemagick-6.6.1.2 (masked by: required EAPI 3, supported EAPI 1)
- media-gfx/imagemagick-6.6.2.5 (masked by: required EAPI 3, supported EAPI 1)
- media-gfx/imagemagick-6.6.3.0 (masked by: required EAPI 3, supported EAPI 1)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "dev-lang/php5-ovh-5.2.1" [ebuild])
Malgré que je faisais bien comme dit dans le guide :

echo "=media-gfx/imagemagick-6.2.6.0 ~x86 ~amd64" >> /etc/portage/package.keywords
Je cherche donc de l'aide

Merci d'avance

code_grabber
21/07/2010, 15h25
ou par emerge ça marche aussi, de très nombreux topics la dessus sur le forum
Encore pas plus loin que la semaine dernière.

ob1tux
16/07/2010, 15h49
Voila après quelque recherche on peut se rendre compte que de nombreux problèmes pour installer ImageMagick sur les serveurs dédiées de OVH.

Je vous donne donc la technique ultime qui devrait marcher pour tout les cas en installant ImageMagick manuellement.

Commencer par rapatrier sur le pc l'archive d'ImageMagick à l'aide de la commande :

Code:
wget ftp:ftp.imagemagick.org/pub/ImageMagick/ImageMagick.tar.gz
Ensuite nous allons décompresser notre fichier à l'aide de la commande :

Code:
tar xvfz ImageMagick.tar.gz
Attention pour pouvoir décompresser vous devez être à l'emplacement du fichier imagemagick compressé.

L'Étape suivante consiste à se diriger vers le dossier récemment décompressé à l'aide de la commande suivante :

Code:
cd ImageMagick-6.6.3
Nous allons maintenant créer le fichier de configuration utile au compileur pour installer l'application.

Code:
./configure --whithout-x
le --whithout-x m'a permis de résoudre un problème de conflit avec X11.

Il ne nous reste plus qu'a compiler et à installer avec les commandes :

Code:
make
Code:
make install
Voila l'application est installé avec succès.

Vous pouvez faire un test à l'aide de cette commande :

Code:
/usr/local/bin/convert -version